import type { Gitlab } from "./gitlab"

export interface NetRequestParams {
  url: string
  method: string
  queryParams?: any
  payload?: any
  additionalHeaders?: Record<string, string>
}

export interface NetErrorDetail {
  response: Response | null
  code: number
  message: string
  data?: any
}

export type { Gitlab }
